Class | Tk::Iwidgets::Dialogshell
In: | tk/lib/tkextlib/iwidgets/dialogshell.rb
Parent: | Tk::Iwidgets::Shell

### Methods

add default delete hide index insert invoke show tagid

### Included Modules

TkItemConfigMethod

### Constants

TkCommandNames | = | ['::iwidgets::dialogshell'.freeze].freeze
WidgetClassName | = | 'Dialogshell'.freeze

### External Aliases

itemcget | -> | buttoncget
itemconfigure | -> | buttonconfigure
itemconfiginfo | -> | buttonconfiginfo
current_itemconfiginfo | -> | current_buttonconfiginfo

### Public Instance methods

add(tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 59
      def add(tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        if tag
          tag = Tk::Itk::Component.new(self, tagid(tag))
        else
          tag = Tk::Itk::Component.new(self)
        end
        tk_call(@path, 'add', tagid(tag), *hash_kv(keys))
        tag
      end

default(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 73
      def default(idx)
        tk_call(@path, 'default', index(idx))
        self
      end

delete(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 78
      def delete(idx)
        tk_call(@path, 'delete', index(idx))
        self
      end

hide(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 83
      def hide(idx)
        tk_call(@path, 'hide', index(idx))
        self
      end

index(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 88
      def index(idx)
        number(tk_call(@path, 'index', tagid(idx)))
      end

insert(idx, tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 92
      def insert(idx, tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        if tag
          tag = Tk::Itk::Component.new(self, tagid(tag))
        else
          tag = Tk::Itk::Component.new(self)
        end
        tk_call(@path, 'insert', index(idx), tagid(tag), *hash_kv(keys))
        tag
      end

invoke(idx=nil)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 106
      def invoke(idx=nil)
        if idx
          tk_call(@path, 'invoke', index(idx))
        else
          tk_call(@path, 'invoke')
        end
        self
      end

show(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 115
      def show(idx)
        tk_call(@path, 'show', index(idx))
        self
      end

tagid(tagOrId)

[Source]

    # File tk/lib/tkextlib/iwidgets/dialogshell.rb, line 40
      def tagid(tagOrId)
        if tagOrId.kind_of?(Tk::Itk::Component)
          tagOrId.name
        else
          #_get_eval_string(tagOrId)
          tagOrId
        end
      end

[Validate]